Can't save legend in postgres when using charater simbol
Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19449

Description

When I try to save a legend that contain charather simbol in postgres Qgis return thin error:

[0] Interrogazione errata: INSERT INTO

layer_styles(f_table_catalog,f_table_schema,f_table_name,f_geometry_column,styleName,styleQML,styleSLD,useAsDefault,description,owner) VALUES ('psinsar','ers','all_s

,owner) VALUES ('psinsar','ers','all_summ','the_geom','ps_desce_2',XMLPARSE(DOCUMENT '<!DOCTYPE qgis PUBLIC

''http://mrcc.com/qgis.dtd'' ''SYSTEM''>

<qgis version="2.4.0-Chugiak" minimumScale="0" maximumScale="1e+08" simplifyDrawingHints="0" minLabelScale="1"

maxLabelScale="1e+08" simplifyDrawingTol="1" simplifyMaxScale="1" hasScaleBasedVisibilityFlag="0" simplifyLocal="1"

scaleBasedLabelVisibilityFlag="0">

 <renderer-v2 attr="VEL" symbollevels="0" type="graduatedSymbol">

  <ranges>

   <range symbol="0" lower="-100.000000" upper="-5.000000" label="<-5"/>

   <range symbol="1" lower="-5.000000" upper="-4.000000" label="-5 4"/>

   <range symbol="2" lower="-4.000000" upper="-3.000000" label="-4 -3"/>

   <range symbol="3" lower="-3.000000" upper="-2.000000" label="-3 -2"/>

   <range symbol="4" lower="-2.000000" upper="-1.000000" label="-2 -1 "/>

   <range symbol="5" lower="-1.000000" upper="0.000000" label="-1 0"/>

   <range symbol="6" lower="0.000000" upper="1.000000" label="0 1"/>

   <range symbol="7" lower="1.000000" upper="2.000000" label="1 2"/>

   <range symbol="8" lower="2.000000" upper="3.000000" label="2 3"/>

   <range symbol="9" lower="3.000000" upper="4.000000" label="3 4 "/>

   <range symbol="10" lower="4.000000" upper="5.000000" label="4 5"/>

   <range symbol="11" lower="5.000000" upper="100.000000" label=">5"/>

  </ranges>

  <symbols>

   <symbol alpha="1" type="marker" name="0">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="255,0,0,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>
    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="1">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="255,92,0,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="10">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="0,61,255,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="11">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="0,0,255,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="2">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>
     <prop k="chr" v="�"/>

     <prop k="color" v="255,185,0,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="3">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="231,255,0,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="4">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="139,255,0,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="5">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="51,238,0,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>
     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="6">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="0,239,46,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="7">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="0,208,139,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="8">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="0,177,231,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>
     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

   <symbol alpha="1" type="marker" name="9">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="0,123,255,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

  </symbols>

  <source-symbol>

   <symbol alpha="1" type="marker" name="0">

    <layer pass="0" class="FontMarker" locked="0">

     <prop k="angle" v="0"/>

     <prop k="chr" v="�"/>

     <prop k="color" v="0,0,0,255"/>

     <prop k="font" v="MS Shell Dlg 2"/>

     <prop k="horizontal_anchor_point" v="1"/>

     <prop k="offset" v="0,0"/>

     <prop k="offset_map_unit_scale" v="0,0"/>

     <prop k="offset_unit" v="MM"/>

     <prop k="size" v="4.23"/>

     <prop k="size_map_unit_scale" v="0,0"/>

     <prop k="size_unit" v="MM"/>

     <prop k="vertical_anchor_point" v="1"/>

    </layer>

   </symbol>

  </source-symbol>

  <colorramp type="gradient" name="[source]">

   <prop k="color1" v="255,0,0,255"/>

   <prop k="color2" v="0,0,255,255"/>

   <prop k="discrete" v="0"/>

   <prop k="stops" v="0.25;255,255,0,255:0.5;0,255,0,255:0.75;0,170,255,255"/>

  </colorramp>

  <invertedcolorramp value="0"/>

  <mode name="equal"/>

  <rotation/>

  <sizescale scalemethod="area"/>

 </renderer-v2>

 <customproperties>

  <property key="labeling" value="pal"/>

  <property key="labeling/addDirectionSymbol" value="false"/>

  <property key="labeling/angleOffset" value="0"/>
  <property key="labeling/blendMode" value="0"/>

  <property key="labeling/bufferBlendMode" value="0"/>

  <property key="labeling/bufferColorA" value="255"/>

  <property key="labeling/bufferColorB" value="255"/>

  <property key="labeling/bufferColorG" value="255"/>

  <property key="labeling/bufferColorR" value="255"/>

  <property key="labeling/bufferDraw" value="false"/>

  <property key="labeling/bufferJoinStyle" value="64"/>

  <property key="labeling/bufferNoFill" value="false"/>

  <property key="labeling/bufferSize" value="1"/>

  <property key="labeling/bufferSizeInMapUnits" value="false"/>

  <property key="labeling/bufferSizeMapUnitMaxScale" value="0"/>

  <property key="labeling/bufferSizeMapUnitMinScale" value="0"/>

  <property key="labeling/bufferTransp" value="0"/>

  <property key="labeling/centroidInside" value="false"/>

  <property key="labeling/centroidWhole" value="false"/>

  <property key="labeling/decimals" value="3"/>

  <property key="labeling/displayAll" value="false"/>

  <property key="labeling/dist" value="0"/>

  <property key="labeling/distInMapUnits" value="false"/>

  <property key="labeling/distMapUnitMaxScale" value="0"/>

  <property key="labeling/distMapUnitMinScale" value="0"/>

  <property key="labeling/enabled" value="false"/>

  <property key="labeling/fieldName" value=""/>

  <property key="labeling/fontBold" value="false"/>

  <property key="labeling/fontCapitals" value="0"/>

  <property key="labeling/fontFamily" value="MS Shell Dlg 2"/>

  <property key="labeling/fontItalic" value="false"/>

  <property key="labeling/fontLetterSpacing" value="0"/>

  <property key="labeling/fontLimitPixelSize" value="false"/>

  <property key="labeling/fontMaxPixelSize" value="10000"/>

  <property key="labeling/fontMinPixelSize" value="3"/>

  <property key="labeling/fontSize" value="8.25"/>

  <property key="labeling/fontSizeInMapUnits" value="false"/>

  <property key="labeling/fontSizeMapUnitMaxScale" value="0"/>

  <property key="labeling/fontSizeMapUnitMinScale" value="0"/>

  <property key="labeling/fontStrikeout" value="false"/>

  <property key="labeling/fontUnderline" value="false"/>

  <property key="labeling/fontWeight" value="50"/>

  <property key="labeling/fontWordSpacing" value="0"/>

  <property key="labeling/formatNumbers" value="false"/>

  <property key="labeling/isExpression" value="true"/>

  <property key="labeling/labelOffsetInMapUnits" value="true"/>

  <property key="labeling/labelOffsetMapUnitMaxScale" value="0"/>

  <property key="labeling/labelOffsetMapUnitMinScale" value="0"/>

  <property key="labeling/labelPerPart" value="false"/>

  <property key="labeling/leftDirectionSymbol" value="<"/>

  <property key="labeling/limitNumLabels" value="false"/>

  <property key="labeling/maxCurvedCharAngleIn" value="20"/>

  <property key="labeling/maxCurvedCharAngleOut" value="-20"/>

  <property key="labeling/maxNumLabels" value="2000"/>

  <property key="labeling/mergeLines" value="false"/>

  <property key="labeling/minFeatureSize" value="0"/>
  <property key="labeling/multilineAlign" value="0"/>

  <property key="labeling/multilineHeight" value="1"/>

  <property key="labeling/namedStyle" value="Normal"/>

  <property key="labeling/obstacle" value="true"/>

  <property key="labeling/placeDirectionSymbol" value="0"/>

  <property key="labeling/placement" value="0"/>

  <property key="labeling/placementFlags" value="0"/>

  <property key="labeling/plussign" value="false"/>

  <property key="labeling/preserveRotation" value="true"/>

  <property key="labeling/previewBkgrdColor" value="#ffffff"/>

  <property key="labeling/priority" value="5"/>

  <property key="labeling/quadOffset" value="4"/>

  <property key="labeling/repeatDistance" value="0"/>

  <property key="labeling/repeatDistanceMapUnitMaxScale" value="0"/>

  <property key="labeling/repeatDistanceMapUnitMinScale" value="0"/>

  <property key="labeling/repeatDistanceUnit" value="1"/>

  <property key="labeling/reverseDirectionSymbol" value="false"/>

  <property key="labeling/rightDirectionSymbol" value=">"/>

  <property key="labeling/scaleMax" value="10000000"/>

  <property key="labeling/scaleMin" value="1"/>

  <property key="labeling/scaleVisibility" value="false"/>

  <property key="labeling/shadowBlendMode" value="6"/>

  <property key="labeling/shadowColorB" value="0"/>

  <property key="labeling/shadowColorG" value="0"/>

  <property key="labeling/shadowColorR" value="0"/>

  <property key="labeling/shadowDraw" value="false"/>

  <property key="labeling/shadowOffsetAngle" value="135"/>

  <property key="labeling/shadowOffsetDist" value="1"/>

  <property key="labeling/shadowOffsetGlobal" value="true"/>

  <property key="labeling/shadowOffsetMapUnitMaxScale" value="0"/>

  <property key="labeling/shadowOffsetMapUnitMinScale" value="0"/>

  <property key="labeling/shadowOffsetUnits" value="1"/>

  <property key="labeling/shadowRadius" value="1.5"/>

  <property key="labeling/shadowRadiusAlphaOnly" value="false"/>

  <property key="labeling/shadowRadiusMapUnitMaxScale" value="0"/>

  <property key="labeling/shadowRadiusMapUnitMinScale" value="0"/>

  <property key="labeling/shadowRadiusUnits" value="1"/>

  <property key="labeling/shadowScale" value="100"/>

  <property key="labeling/shadowTransparency" value="30"/>

  <property key="labeling/shadowUnder" value="0"/>

  <property key="labeling/shapeBlendMode" value="0"/>

  <property key="labeling/shapeBorderColorA" value="255"/>

  <property key="labeling/shapeBorderColorB" value="128"/>

  <property key="labeling/shapeBorderColorG" value="128"/>

  <property key="labeling/shapeBorderColorR" value="128"/>

  <property key="labeling/shapeBorderWidth" value="0"/>

  <property key="labeling/shapeBorderWidthMapUnitMaxScale" value="0"/>

  <property key="labeling/shapeBorderWidthMapUnitMinScale" value="0"/>

  <property key="labeling/shapeBorderWidthUnits" value="1"/>

  <property key="labeling/shapeDraw" value="false"/>

  <property key="labeling/shapeFillColorA" value="255"/>

  <property key="labeling/shapeFillColorB" value="255"/>

  <property key="labeling/shapeFillColorG" value="255"/>
  <property key="labeling/shapeFillColorR" value="255"/>

  <property key="labeling/shapeJoinStyle" value="64"/>

  <property key="labeling/shapeOffsetMapUnitMaxScale" value="0"/>

  <property key="labeling/shapeOffsetMapUnitMinScale" value="0"/>

  <property key="labeling/shapeOffsetUnits" value="1"/>

  <property key="labeling/shapeOffsetX" value="0"/>

  <property key="labeling/shapeOffsetY" value="0"/>

  <property key="labeling/shapeRadiiMapUnitMaxScale" value="0"/>

  <property key="labeling/shapeRadiiMapUnitMinScale" value="0"/>

  <property key="labeling/shapeRadiiUnits" value="1"/>

  <property key="labeling/shapeRadiiX" value="0"/>

  <property key="labeling/shapeRadiiY" value="0"/>

  <property key="labeling/shapeRotation" value="0"/>

  <property key="labeling/shapeRotationType" value="0"/>

  <property key="labeling/shapeSVGFile" value=""/>

  <property key="labeling/shapeSizeMapUnitMaxScale" value="0"/>

  <property key="labeling/shapeSizeMapUnitMinScale" value="0"/>

  <property key="labeling/shapeSizeType" value="0"/>

  <property key="labeling/shapeSizeUnits" value="1"/>

  <property key="labeling/shapeSizeX" value="0"/>

  <property key="labeling/shapeSizeY" value="0"/>

  <property key="labeling/shapeTransparency" value="0"/>

  <property key="labeling/shapeType" value="0"/>

  <property key="labeling/textColorA" value="255"/>

  <property key="labeling/textColorB" value="0"/>

  <property key="labeling/textColorG" value="0"/>

  <property key="labeling/textColorR" value="0"/>

  <property key="labeling/textTransp" value="0"/>

  <property key="labeling/upsidedownLabels" value="0"/>

  <property key="labeling/wrapChar" value=""/>

  <property key="labeling/xOffset" value="0"/>

  <property key="labeling/yOffset" value="0"/>

 </customproperties>

 <blendMode>0</blendMode>

 <featureBlendMode>0</featureBlendMode>

 <layerTransparency>0</layerTransparency>

 <displayfield>CODE</displayfield>

 <label>0</label>

 <labelattributes>

  <label fieldname="" text="Etichetta"/>

  <family fieldname="" name="MS Shell Dlg 2"/>

  <size fieldname="" units="pt" value="12"/>

  <bold fieldname="" on="0"/>

  <italic fieldname="" on="0"/>

  <underline fieldname="" on="0"/>

  <strikeout fieldname="" on="0"/>

  <color fieldname="" red="0" blue="0" green="0"/>

  <x fieldname=""/>

  <y fieldname=""/>

  <offset x="0" y="0" units="pt" yfieldname="" xfieldname=""/>

  <angle fieldname="" value="0" auto="0"/>

  <alignment fieldname="" value="center"/>

  <buffercolor fieldname="" red="255" blue="255" green="255"/>
  <buffersize fieldname="" units="pt" value="1"/>

  <bufferenabled fieldname="" on=""/>

  <multilineenabled fieldname="" on=""/>

  <selectedonly on=""/>

 </labelattributes>

 <edittypes>

  <edittype labelontop="0" editable="1" name="tid"/>

  <edittype labelontop="0" editable="1" name="gid"/>

  <edittype labelontop="0" editable="1" name="code"/>

  <edittype labelontop="0" editable="1" name="vel"/>

  <edittype labelontop="0" editable="1" name="coherence"/>

  <edittype labelontop="0" editable="1" name="v_stdev"/>

  <edittype labelontop="0" editable="1" name="mov"/>

 </edittypes>

 <editform>.</editform>

 <editforminit></editforminit>

 <featformsuppress>0</featformsuppress>

 <annotationform>.</annotationform>

 <editorlayout>generatedlayout</editorlayout>

 <excludeAttributesWMS/>

 <excludeAttributesWFS/>

 <attributeactions/>

</qgis>

'),XMLPARSE(DOCUMENT '

<StyledLayerDescriptor xmlns="http://www.opengis.net/sld" xmlns:ogc="http://www.opengis.net/ogc"

xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.1.0" xmlns:xlink="http://www.w3.org/1999/xlink"

xsi:schemaLocation="http://www.opengis.net/sld http://schemas.opengis.net/sld/1.1.0/StyledLayerDescriptor.xsd"

xmlns:se="http://www.opengis.net/se">

 <NamedLayer>

  <se:Name>all_summ</se:Name>

  <UserStyle>

   <se:Name>all_summ</se:Name>

   <se:FeatureTypeStyle>

    <se:Rule>

     <se:Name><-5</se:Name>

     <se:Description>

      <se:Title><-5</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal><ogc:Literal>100</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>-<ogc:Literal>5</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>
      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#ff0000</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>-5 4</se:Name>

     <se:Description>

      <se:Title>-5 -4</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal><ogc:Literal>5</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>-<ogc:Literal>4</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#ff5c00</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>-4 3</se:Name>

     <se:Description>

      <se:Title>-4 -3</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>
       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal><ogc:Literal>4</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>-<ogc:Literal>3</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#ffb900</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>-3 2</se:Name>

     <se:Description>

      <se:Title>-3 -2</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal><ogc:Literal>3</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>-<ogc:Literal>2</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#e7ff00</se:SvgParameter>
        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>-2 1 </se:Name>

     <se:Description>

      <se:Title>-2 -1 </se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal><ogc:Literal>2</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>-<ogc:Literal>1</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#8bff00</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>-1 0</se:Name>

     <se:Description>

      <se:Title>-1 0</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>-<ogc:Literal>1</ogc:Literal>

        </ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>
        <ogc:Literal>0</ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#33ee00</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>0 1</se:Name>

     <se:Description>

      <se:Title>0 1</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>0</ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>1</ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#00ef2e</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>1 2</se:Name>

     <se:Description>

      <se:Title>1 2</se:Title>
     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>1</ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>2</ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#00d08b</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>2 3</se:Name>

     <se:Description>

      <se:Title>2 3</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>2</ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>3</ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#00b1e7</se:SvgParameter>

        </se:Fill>
       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>3 4 </se:Name>

     <se:Description>

      <se:Title>3 4 </se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>3</ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>4</ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#007bff</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>4 5</se:Name>

     <se:Description>

      <se:Title>4 5</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>4</ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>5</ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>
     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#003dff</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

    <se:Rule>

     <se:Name>>5</se:Name>

     <se:Description>

      <se:Title>>5</se:Title>

     </se:Description>

     <ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

      <ogc:And>

       <ogc:PropertyIsGreaterThan>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>5</ogc:Literal>

       </ogc:PropertyIsGreaterThan>

       <ogc:PropertyIsLessThanOrEqualTo>

        <ogc:PropertyName>VEL</ogc:PropertyName>

        <ogc:Literal>100</ogc:Literal>

       </ogc:PropertyIsLessThanOrEqualTo>

      </ogc:And>

     </ogc:Filter>

     <se:PointSymbolizer>

      <se:Graphic>

       <se:Mark>

        <se:OnlineResource xlink:type="simple" xlink:href="ttf://MS Shell Dlg 2"/>

        <se:Format>ttf</se:Format>

        <se:MarkIndex>7</se:MarkIndex>

        <se:Fill>

         <se:SvgParameter name="fill">#0000ff</se:SvgParameter>

        </se:Fill>

       </se:Mark>

       <se:Size>4.23</se:Size>

      </se:Graphic>

     </se:PointSymbolizer>

    </se:Rule>

   </se:FeatureTypeStyle>

  </UserStyle>

 </NamedLayer>

</StyledLayerDescriptor>

'),false,'legenda alternativa per i dati PS desce. 

11 classi.

','l_lanteri') ha restituito 7 [ERROR:  invalid XML document
DETAIL:  line 22: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 22: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 22: Couldn't find end of Start Tag prop line 22

     <prop k="chr" v="�"/>

                      ^

line 22: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 38: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 38: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 38: Couldn't find end of Start Tag prop line 38

     <prop k="chr" v="�"/>

                      ^

line 38: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 54: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 54: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 54: Couldn't find end of Start Tag prop line 54

     <prop k="chr" v="�"/>

                      ^

line 54: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 70: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 70: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 70: Couldn't find end of Start Tag prop line 70

     <prop k="chr" v="�"/>

                      ^

line 70: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 86: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 86: attributes construct error

     <prop k="chr" v="�"/>
                      ^

line 86: Couldn't find end of Start Tag prop line 86

     <prop k="chr" v="�"/>

                      ^

line 86: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 102: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 102: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 102: Couldn't find end of Start Tag prop line 102

     <prop k="chr" v="�"/>

                      ^

line 102: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 118: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 118: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 118: Couldn't find end of Start Tag prop line 118

     <prop k="chr" v="�"/>

                      ^

line 118: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 134: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 134: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 134: Couldn't find end of Start Tag prop line 134

     <prop k="chr" v="�"/>

                      ^

line 134: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 150: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 150: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 150: Couldn't find end of Start Tag prop line 150

     <prop k="chr" v="�"/>

                      ^

line 150: PCDATA invalid Char value 7
     <prop k="chr" v="�"/>

                      ^

line 166: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 166: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 166: Couldn't find end of Start Tag prop line 166

     <prop k="chr" v="�"/>

                      ^

line 166: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 182: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 182: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 182: Couldn't find end of Start Tag prop line 182

     <prop k="chr" v="�"/>

                      ^

line 182: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 198: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 198: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 198: Couldn't find end of Start Tag prop line 198

     <prop k="chr" v="�"/>

                      ^

line 198: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

line 216: invalid character in attribute value

     <prop k="chr" v="�"/>

                      ^

line 216: attributes construct error

     <prop k="chr" v="�"/>

                      ^

line 216: Couldn't find end of Start Tag prop line 216

     <prop k="chr" v="�"/>

                      ^

line 216: PCDATA invalid Char value 7

     <prop k="chr" v="�"/>

                      ^

]
History

#1 - 2014-10-05 02:55 AM - Giovanni Manghi

- Priority changed from Normal to Low

- Affected QGIS version changed from 2.4.0 to master

- Category changed from Map Legend to Symbology

That's not completely true, the fact is that are font symbols that are not allowed in XML (when a style is saved in the DB is evaluated as XML). So if you use

an allowed synbol it will save ok. It seems an edge case.

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

PS_ok.qml 11.2 KB 2014-08-29 Luca Lanteri

2025-06-13 20/20

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

